Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class UDPPacketReader.RelayIntroReader

    java.lang.Object
      net.i2p.router.transport.udp.UDPPacketReader.RelayIntroReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.RelayIntroReader

extends Object

Help read the RelayIntro payload

Constructor Summary
`UDPPacketReader.RelayIntroReader()`

Method Summary
`int` | `readChallengeSize()` unused
`void` | `readChallengeSize(byte[] target, int targetOffset)` unused
`void` | `readIP(byte[] target, int targetOffset)` what IP Alice is reachable on
`int` | `readIPSize()`
`int` | `readPort()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPPacketReader.RelayIntroReader

    public UDPPacketReader.RelayIntroReader()

Method Detail

### readIPSize

    public int readIPSize()

### readIP

    public void readIP(byte[] target,
                       int targetOffset)

  what IP Alice is reachable on

### readPort

    public int readPort()

### readChallengeSize

    public int readChallengeSize()

  unused

### readChallengeSize

    public void readChallengeSize(byte[] target,
                                  int targetOffset)

  unused

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD